from setuptools import setup
from os.path import join, dirname

# python-crontab==1.8.1 is not working with pip
# https://bugs.launchpad.net/python-crontab/+bug/1400073
requirements = [
    'python-crontab==1.7.2'
]

version = open(join(dirname(__file__), 'version')).read().strip()

setup(
    name='syncloud-image-ci',
    version=version,
    scripts=['bin/syncloud-image-ci', 'bin/syncloud-image-ci-post-install', 'bin/syncloud-image-ci-pre-remove'],
    install_requires=requirements,
    description='Syncloud Continuous Integration',
    packages=['syncloud', 'syncloud.ci'],
    namespace_packages=['syncloud'],
    data_files=[
        ('syncloud-image-ci/config', ['config/ci.cfg'])
    ],
    long_description='Syncloud Continuous Integration',
    license='GPLv3',
    author='Syncloud',
    author_email='syncloud@googlegroups.com',
    url='https://github.com/syncloud/image-ci'
)
