from ConfigParser import ConfigParser
import os

default_config_path = '/usr/local/syncloud-image-ci/config'


class Config:

    def __init__(self, filename):
        self.parser = ConfigParser()
        self.parser.read(filename)
        self.filename = filename

    def external_disk(self):
        return self.parser.get('ci', 'external_disk')

    def ci_dir(self):
        return self.parser.get('ci', 'ci_dir')

    def ci_cmd(self):
        return self.parser.get('ci', 'ci_cmd')

    def crontab_cmd(self):
        return self.parser.get('ci', 'crontab_cmd')

    def ci_lock_dir(self):
        return self.parser.get('ci', 'ci_lock_dir')


def get_config(config_path=default_config_path):
    return Config(os.path.join(config_path, 'ci.cfg'))
